<!-- <div class="col-md-6 text-right searchbar" style="position: absolute;right: 35px;top: 8px;">
  <input type="text" name="search" class="form-control" [(ngModel)]="order_Search" placeholder="Search..." autocomplete="off">
  <i class="fa fa-search" (click)="onSearchBtnClick()"></i>
</div> -->

<ng-container>
  <div class="row">
    <div class="col-md-12 nopaddin_mobile">
      <div class="Gig_table">
        <kendo-grid [data]="buyerRequest_gridData" [height]="gridHeight" [pageSize]="pageSize" [skip]="state.skip"
          [sort]="sort" [sortable]="{ allowUnsort: true,mode:  'single'}" (sortChange)="sortbuyer_request($event)"
          [filter]="state.filter" [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
          (pageChange)="pageChange($event)" (dataStateChange)="buyer_requestDataStateChange($event)">
          <kendo-grid-column field="date" title="Date"
            [headerStyle]="{'height':'40px','width':'100px','text-align':'left'}"
            [style]="{'width':'100px','text-align':'left'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
              <div class="row">
                <div class="col-md-12 row_padding nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.created_date|date:'dd MMM yyyy'}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="subcategory" title="Subcategory"
            [headerStyle]="{'height':'40px','width':'160px','text-align':'left'}"
            [style]="{'width':'160px','text-align':'left'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
              <div class="row">
                <div class="col-md-12 row_padding nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.sub_category.sub_category_name}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="request" title="Request"
            [headerStyle]="{'height':'40px','width':'200px','text-align':'left'}"
            [style]="{'width':'200px','text-align':'left'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
              <div class="row">
                <div class="col-md-12 row_padding nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.description}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="offers" title="Offers"
            [headerStyle]="{'height':'40px','width':'190px','text-align':'center'}"
            [style]="{'width':'190px','text-align':'center'}" *ngIf="requestStatusId==2">
            <ng-template kendoGridCellTemplate let-idx="dataItem">
              <div class="row">
                <div class="col-md-12 row_padding nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    <!-- {{idx.amount}} -->
                    <a class="badge badge-success taskit_offers_btn" style="cursor: pointer;"
                      (click)="onTaskIT_Offersbtn(idx.category.id, idx.sub_category.id, idx.service_delivery==null?idx.service_delivery_other:idx.service_delivery.service_delivery_value,idx.budget)">
                      Taskmer Offers
                    </a><span class="badge badge-success custom_badge"></span>
                    <a href="javascript:void(0)" class="badge badge-success taskit_offers_btn"
                      (click)="openSeller_Offer(idx.id)">
                      Seller Offers
                    </a><span class="badge badge-success custom_badge"></span>
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="delivery_time" title="Delivery Time"
            [headerStyle]="{'height':'40px','width':'100px','text-align':'center'}"
            [style]="{'width':'100px','text-align':'center'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem">
              <div class="row">
                <div class="col-md-12 row_padding nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.service_delivery==null?idx.service_delivery_other==1?'1 Day':idx.service_delivery_other+'
                    Days':idx.service_delivery.service_delivery_name}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="budget" title="Budget"
            [headerStyle]="{'height':'40px','width':'100px','text-align':'center'}"
            [style]="{'width':'100px','text-align':'center'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem">
              <div class="row">
                <div class="col-md-12 text-center nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.budget | currency: 'INR':'symbol':'1.0-0'}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="reject_comment" title="Reject Comment"
            [headerStyle]="{'height':'40px','width':'170px','text-align':'left'}"
            [style]="{'width':'170px','text-align':'left'}" *ngIf="requestStatusId==3">
            <ng-template kendoGridCellTemplate let-idx="dataItem">
              <div class="row">
                <div class="col-md-12 text-left nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    {{idx.reject_comment}}
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="action" title="Action"
            [headerStyle]="{'height':'40px','width':'80px','text-align':'right'}"
            [style]="{'width':'80px','text-align':'right'}">
            <ng-template kendoGridCellTemplate let-idx="dataItem">
              <div class="row">
                <div class="col-md-12 nopaddin_mobile">
                  <h6 class="table_heading_name trade_font">
                    <a title="Delete" data-toggle="modal" data-target="#delete_record"
                      (click)="onDeleteRequest(idx.id)"><i class="fa fa-trash delete_icon"></i></a>
                    <a (click)="editClick(idx.id, requestStatusId)" *ngIf="requestStatusId==3"
                      class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                  </h6>
                </div>
              </div>
            </ng-template>
          </kendo-grid-column>
        </kendo-grid>
      </div>
    </div>
  </div>

</ng-container>

<!-- Delete Modal Start -->
<div id="delete_record" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12 nopaddin_mobile">
            <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-right nopaddin_mobile">
            <a class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn"
              (click)="onDeletePopBtn()">Delete</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Delete Modal End -->